org.pcollections

## Interface PCollection<E>

Type Parameters:
  `E` -

All Superinterfaces:
  Collection<E>, Iterable<E>

All Known Subinterfaces:
  PBag<E>, POrderedSet<E>, PQueue<E>, PSequence<E>, PSet<E>, PStack<E>, PVector<E>

All Known Implementing Classes:
  AmortizedPQueue, ConsPStack, MapPBag, MapPSet, OrderedPSet, TreePVector

    public interface PCollection<E>
    extends Collection<E>

An immutable, persistent collection of non-null elements of type E.

### Method Summary

Methods
`boolean` `add(E o)` Deprecated.
`boolean` `addAll(Collection<? extends E> c)` Deprecated.
`void` `clear()` Deprecated.
`PCollection<E>` `minus(Object e)`
`PCollection<E>` `minusAll(Collection<?> list)`
`PCollection<E>` `plus(E e)`
`PCollection<E>` `plusAll(Collection<? extends E> list)`
`boolean` `remove(Object o)` Deprecated.
`boolean` `removeAll(Collection<?> c)` Deprecated.
`boolean` `retainAll(Collection<?> c)` Deprecated.

### Methods inherited from interface java.util.Collection

`contains, containsAll, equals, hashCode, isEmpty, iterator, size, toArray, toArray`

### Method Detail

#### plus

    PCollection<E> plus(E e)

Parameters:
  `e` - non-null
Returns:
  a collection which contains e and all of the elements of this

#### plusAll

    PCollection<E> plusAll(Collection<? extends E> list)

Parameters:
  `list` - contains no null elements
Returns:
  a collection which contains all of the elements of list and this

#### minus

    PCollection<E> minus(Object e)

Parameters:
  `e` -
Returns:
  this with a single instance of e removed, if e is in this

#### minusAll

    PCollection<E> minusAll(Collection<?> list)

Parameters:
  `list` -
Returns:
  this with all elements of list completely removed

#### add

    @Deprecated
    boolean add(E o)

Deprecated.

Specified by:
  `add` in interface `Collection<E>`

#### remove

    @Deprecated
    boolean remove(Object o)

Deprecated.

Specified by:
  `remove` in interface `Collection<E>`

#### addAll

    @Deprecated
    boolean addAll(Collection<? extends E> c)

Deprecated.

Specified by:
  `addAll` in interface `Collection<E>`

#### removeAll

    @Deprecated
    boolean removeAll(Collection<?> c)

Deprecated.

Specified by:
  `removeAll` in interface `Collection<E>`

#### retainAll

    @Deprecated
    boolean retainAll(Collection<?> c)

Deprecated.

Specified by:
  `retainAll` in interface `Collection<E>`

#### clear

    @Deprecated
    void clear()

Deprecated.

Specified by:
  `clear` in interface `Collection<E>`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015